package org.fool.glorious.db.dao;

import org.fool.glorious.db.entity.Record;
import org.fool.glorious.db.mapper.RecordMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service(value = "recordService")
public class RecordServiceImpl implements RecordService {

    @Autowired
    private RecordMapper recordMapper;

    @Override
    public List<Record> selectRecords(String type, String keyword) {
        return recordMapper.selectRecords(type, keyword);
    }

    @Override
    public void insertRecord(Record record) {
        recordMapper.insertRecord(record);
    }

}
